body {
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;
  color: #FFFFFF;
  background-color: #14161e;
}

.surrender-button {
  position: absolute;
  left: 273px;
  bottom: 0px;
  z-index: 1;
}

.active-game-header {
  margin-top: 20px;
  font-size: 12px;
}

.active-game-row {
  font-size: 12px;
  width: fit-content;
  white-space: nowrap;
}

.deck-screen {
  margin: auto;
  margin-top: 100px;
  width: 273px;
}

.profile-screen {
  margin: auto;
  margin-top: 100px;
  width: 273px;
}

.deck-row {
  padding-top: 5px;
  padding-bottom: 5px;
}

.deck-button-private {
  width: 230px;
  /*height: 40px;*/
}

.deck-clan-logo {
  width: 24px;
  height: 24px;
  -webkit-filter: grayscale(100%) brightness(1000%);
  filter: grayscale(100%) brightness(1000%);
}

.deck-button-public {
  width: 273px;
  /*height: 40px;*/
}

.profile-chip-wrapper {
  width: 273px;
}

.profile-button {
  width: 273px;
  padding-top: 5px;
}

.deck-button-action {
  float: right;
  width: 36px;
  height: 36px;
}

.game-zone {
  position: relative;
  height: 903px;
  width: 948px;
  /*border: 1px solid black;*/
}

.preview-zone {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 273px;
  height: 100%;
  /*background-color: #0000F0;*/
}
.opponent-hand {
  position: absolute;
  left: 273px;
  top: 0px;
  width: 540px;
  height: 135px;
  overflow-x: auto;
  overflow-y: hidden;
  /*background-color: #2ca02c;*/
  text-align: center;
}
.player-hand {
  position: absolute;
  left: 408px;
  top: 768px;
  width: 540px;
  height: 135px;
  overflow-x: auto;
  overflow-y: hidden;
  /*background-color: #2ca02c;*/
  text-align: center;
}
.damage-zone {
  position: absolute;
  width: 135px;
  height: 405px;
}
.opponent-damage {
  left: 813px;
  top: 0px;
  /*background-color: #00AEEF;*/
  overflow: auto;
}
.player-damage {
  left: 273px;
  top: 498px;
  /*background-color: #00AEEF;*/
  overflow: auto;
}
.opponent-trigger-zone {
  position: absolute;
  left: 273px;
  top: 405px;
  width: 135px;
  height: 93px;
  /*background-color: aqua;*/
}
.player-trigger-zone {
  position: absolute;
  left: 813px;
  top: 405px;
  width: 135px;
  height: 93px;
  /*background-color: aqua;*/
}
.guardian-zone {
  position: absolute;
  left: 408px;
  top: 405px;
  width: 405px;
  height: 93px;
  /*background-color: aqua;*/
  overflow-x: auto;
  overflow-y: hidden;
  text-align: center;
}
.deck-zone {
  position: absolute;
  width: 93px;
  height: 135px;
}
.field-row {
  width: 405px;
  height: 135px;
  position: absolute;
  /*overflow: auto;*/
}
.inner-row {
  white-space: nowrap;
  display: inline;
}
.opponent-back-row {
  left: 408px;
  top: 135px;
  /*background-color: #3F3F3F;*/
}
.opponent-front-row {
  left: 408px;
  top: 270px;
  /*background-color: #1a709f;*/
  overflow-x: auto;
  overflow-y: hidden;
}
.player-back-row {
  left: 408px;
  top: 633px;
  /*background-color: #3F3F3F;*/
}
.player-front-row {
  left: 408px;
  top: 498px;
  /*background-color: #1a709f;*/
  overflow-x: auto;
  overflow-y: hidden;
}
.opponent-deck {
  /*left: 273px;*/
  left: 294px;
  top: 270px;
  /*background-color: darksalmon;*/
}
.opponent-drop {
  left: 294px;
  top: 135px;
  /*background-color: darkseagreen;*/
}
.player-deck {
  left: 835px;
  top: 498px;
  /*background-color: darksalmon;*/
}
.player-drop {
  left: 835px;
  top: 633px;
  /*background-color: darkseagreen;*/
}

.field-circle .card {
  margin: auto;
  position: absolute;
  top: 0; left: 0; bottom: 0; right: 0;
}

.card {
  /*float: left;*/
  /*clear: none;*/
  /*margin: 3px 3px 3px 3px;*/
  position: relative;
  display: inline-block;
  color: white;
  text-shadow: 2px 2px 3px black, -2px 2px 3px black, -2px -2px 3px black, 2px -2px 3px black;
  border: 1px solid transparent;
}

.card span {
  z-index: 1;
}

.card-stand {
  width: 91px;
  height: 133px;
  /*border: 1px solid white;*/
}

.card-rest, .card-guardian, .card-trigger {
  width: 133px;
  height: 91px;
  /*border: 1px solid white;*/
}


.card-damage {
  width: 133px;
  height: 45px;
  /*border: 1px solid black;*/
  overflow: hidden;
}

.opponent-damage .card-damage {
  position: absolute;
  left: 0px;
  box-shadow: 0px 1px 4px 2px black;
}

.player-damage .card-damage {
  box-shadow: 0 -1px 4px 2px black;
  float: left;
}

.opponent-damage .inner-row .card-damage:last-child {
  height: 91px;
}

.opponent-damage .inner-row .card-damage:first-child {
  bottom: 0px;
}

.opponent-damage .inner-row .card-damage:nth-child(2) {
  bottom: 45px;
}

.opponent-damage .inner-row .card-damage:nth-child(3) {
  bottom: 90px;
}

.opponent-damage .inner-row .card-damage:nth-child(4) {
  bottom: 135px;
}

.opponent-damage .inner-row .card-damage:nth-child(5) {
  bottom: 180px;
}

.opponent-damage .inner-row .card-damage:nth-child(6) {
  bottom: 225px;
}

.opponent-damage .inner-row .card-damage:last-child .image {
  top: -21px;
}

.player-damage .inner-row .card-damage:last-child {
  height: 91px;
}

.field-circle {
  padding: 0px 0px 0px 0px;
  margin: 0px 0px 0px 0px;
  display: inline-block;
  position: relative;
  /*float: left;*/
  clear: none;
  /*margin-left: auto;*/
  width: 135px;
  height: 135px;
}

.card-stand .image {
  /*float: left;*/
  position: absolute;
  left: 0px;
  top: 0px;
  width: 91px;
  height: 133px;
  /*z-index: -2;*/
}

.card-rest .image {
  position: absolute;
  left: 21px;
  top: -21px;
  width: 91px;
  height: 133px;
  transform: rotate(90deg);
  /*z-index: -2;*/
}

.card-damage .image {
  position: absolute;
  left: 21px;
  top: -66px;
  width: 91px;
  height: 133px;
  transform: rotate(90deg);
  /*z-index: -2;*/
}

.player-damage .card-damage .image {

}

.player-damage .image {
  top: -21px;
}

.card-guardian .image, .card-trigger .image {
  position: absolute;
  left: 21px;
  top: -21px;
  width: 91px;
  height: 133px;
  transform: rotate(-90deg);
  /*z-index: -2;*/
}

.card-preview {
  position: absolute;
  font-size: 12px;
  color: black;
  left: 0px;
  top: 252px;
  width: 273px;
  height: 399px;
}

.card-preview .image {
  width: 273px;
  height: 399px;
}

.card-preview .description {
  padding: 3px;
  width: 252px;
  background-color: #EBECF0;
  min-height: 10px;
  border: 1px solid gray;
  position: absolute;
  display: inline-block;
  bottom: 70px;
  left: 7px;
  z-index: 1;
}

.card-preview .name {
  width: 200px;
  font-weight: bold;
  text-align: center;
  background-color: #EBECF0;
  position: absolute;
  bottom: 44px;
  left: 37px;
  z-index: 1;
}

.card-selected {
  border: 1px solid red;
}

.card-stand .grade {
  position: absolute;
  left: 0px;
  top: 0px;
}

.card-rest .grade {
  position: absolute;
  transform: rotate(90deg);
  right: 6px;
  top: 0px;
}

.card-stand .view {
  position: absolute;
  right: -21px;
  top: 0px;
}

.card-rest .view {
  position: absolute;
  right: 0px;
  top: -21px;
}

.card-stand .power {
  position: absolute;
  left: 0px;
  bottom: 0px;
}

.card-rest .power {
  transform: rotate(90deg);
  transform-origin: bottom left;
  position: absolute;
  left: 0px;
  top: -13px;
}

.card-stand .crit {
  position: absolute;
  right: 40px;
  bottom: 0px;
}

.card-rest .crit {
  transform: rotate(90deg);
  position: absolute;
  left: 6px;
  top: 33px;
}

.card-stand .count {
  position: absolute;
  right: 0px;
  top: 0px;
}

.card-rest .count {
  transform: rotate(90deg);
  transform-origin: top right;
  position: absolute;
  right: 2px;
  bottom: -12px;
}

.card-stand .shield {
  position: absolute;
  top: 37px;
  left: 0px;
}

.card-guardian .shield {
  position: absolute;
  bottom: 0px;
  left: 35px;
}

.card-stand .middle {
  position: absolute;
  left: 35px;
  top: 55px;
}

.card-rest .middle {

  position: absolute;
  left: 55px;
  top: 30px;
}

.chat-log {
  position: absolute;
  top: 651px;
  left: 0px;
  width: 273px;
  height: 252px;
  overflow: auto;
  font-size: 12px;
  color: white;
}

.battle-info {
  position: absolute;
  top: 0px;
  left: 0px;
}

.deck-builder {
  position: absolute;
  left: 273px;
  top: 0px;
  width: 675px;
  height: 100%;
  overflow: auto;
  /*height: 135px;*/
  /*overflow-x: auto;*/
  /*overflow-y: hidden;*/
  /*background-color: #2ca02c;*/
  /*text-align: center;*/
}

.validation-ok {
  color: green;
}

.validation-error {
  color: red;
}

::-webkit-scrollbar {
  height: 5px;
  width: 5px;
  background-color: #FFFFFF;
}

::-webkit-scrollbar-track {
  border: 1px solid black;
  background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb {
  background-color: #000000;
}

.login-button {
  /*width: 190px;*/
  /*}*/
  /*.google-login-button {*/
  /*  width: 400px;*/
  /*  display: inline-block;*/
  /*  background: rgb(209, 72, 54);*/
  /*  margin: 2px 2px 2px 2px;*/
  /*  color: rgb(255, 255, 255);*/
  /*  padding-top: 10px;*/
  /*  padding-bottom: 10px;*/
  /*  border-radius: 2px;*/
  /*  border: 1px solid transparent;*/
  /*  font-size: 16px;*/
  /*  font-weight: bold;*/
  /*  font-family: Roboto;*/
  /*}*/

  /*.facebook-login-button {*/
  width: 190px;
  /*display: inline-block;*/
  background: #4c69ba;
  margin: 2px 2px 2px 2px;
  color: rgb(255, 255, 255);
  padding-top: 10px;
  padding-bottom: 10px;
  border-radius: 2px;
  border: 1px solid transparent;
  font-size: 16px;
  font-weight: bold;
}


/*.act, .auto, .cont {*/
  /*height: 13px*/
/*}*/

.ability-icon {
  height: 19px;
  vertical-align: middle;
  background: url('/images/abilities3.png') no-repeat;
  display: inline-block;
}

.vanguard-icon {
  /*background-position: -38px 0px;*/
  /*width: 19px;*/
  height: 17px;
  width: 15px;
  vertical-align: middle;
  background: url('/images/a/vanguard.png') no-repeat;
  display: inline-block;
}

.guardian-icon {
  /*background-position: 0px 0px;*/
  /*width: 19px;*/
  height: 15px;
  width: 15px;
  vertical-align: middle;
  background: url('/images/a/guardian.png') no-repeat;
  display: inline-block;
}

.rearguard-icon {
  /*background-position: -19px 0px;*/
  /*width: 19px;*/
  height: 15px;
  width: 15px;
  vertical-align: middle;
  background: url('/images/a/rearguard.png') no-repeat;
  display: inline-block;
}

.critical-icon {
  height: 15px;
  width: 13px;
  vertical-align: middle;
  background: url('/images/a/critical.png') no-repeat;
  display: inline-block;
}

.power-icon {
  height: 15px;
  width: 14px;
  vertical-align: middle;
  background: url('/images/a/power.png') no-repeat;
  display: inline-block;
}

.zone-open {
  height: 15px;
  width: 6px;
  vertical-align: middle;
  background: url('/images/a/left_bracket.png') no-repeat;
  display: inline-block;
}

.zone-close {
  height: 15px;
  width: 6px;
  vertical-align: middle;
  background: url('/images/a/right_bracket.png') no-repeat;
  display: inline-block;
}

.ability-act {
  height: 15px;
  width: 25px;
  vertical-align: middle;
  background: url('/images/a/act.png') no-repeat;
  display: inline-block;
}

.ability-auto {
  height: 15px;
  width: 25px;
  vertical-align: middle;
  background: url('/images/a/auto.png') no-repeat;
  display: inline-block;
}

.ability-cont {
  height: 15px;
  width: 25px;
  vertical-align: middle;
  background: url('/images/a/cont.png') no-repeat;
  display: inline-block;
}

.one-turn-icon {
  height: 15px;
  width: 41px;
  vertical-align: middle;
  background: url('/images/a/1turn.png') no-repeat;
  display: inline-block;
}

.cost-icon {
  height: 15px;
  width: 8px;
  vertical-align: middle;
  background: url('/images/a/cost.png') no-repeat;
  display: inline-block;
}

.separator-icon {
  height: 15px;
  width: 7px;
  vertical-align: middle;
  background: url('/images/a/separator.png') no-repeat;
  display: inline-block;
}

.rest-icon {
  height: 15px;
  width: 13px;
  vertical-align: middle;
  background: url('/images/a/rest.png') no-repeat;
  display: inline-block;
}

.stand-icon {
  height: 15px;
  width: 13px;
  vertical-align: middle;
  background: url('/images/a/stand.png') no-repeat;
  display: inline-block;
}

.soul-blast-1-icon {
  height: 15px;
  width: 48px;
  vertical-align: middle;
  background: url('/images/a/s_blast_1.png') no-repeat;
  display: inline-block;
}

.soul-blast-2-icon {
  height: 15px;
  width: 48px;
  vertical-align: middle;
  background: url('/images/a/s_blast_1.png') no-repeat;
  display: inline-block;
}
.soul-blast-3-icon {
  height: 15px;
  width: 48px;
  vertical-align: middle;
  background: url('/images/a/s_blast_1.png') no-repeat;
  display: inline-block;
}
.soul-blast-4-icon {
  height: 15px;
  width: 48px;
  vertical-align: middle;
  background: url('/images/a/s_blast_1.png') no-repeat;
  display: inline-block;
}

.soul-blast-5-icon {
  height: 15px;
  width: 48px;
  vertical-align: middle;
  background: url('/images/a/s_blast_5.png') no-repeat;
  display: inline-block;
}

.counter-blast-1-icon {
  height: 15px;
  width: 40px;
  vertical-align: middle;
  background: url('/images/a/c_blast_1.png') no-repeat;
  display: inline-block;
}

.counter-blast-2-icon {
  height: 15px;
  width: 40px;
  vertical-align: middle;
  background: url('/images/a/c_blast_2.png') no-repeat;
  display: inline-block;
}

.counter-charge-1-icon {
  height: 15px;
  width: 42px;
  vertical-align: middle;
  background: url('/images/a/c_charge_1.png') no-repeat;
  display: inline-block;
}

.counter-charge-2-icon {
  height: 15px;
  width: 42px;
  vertical-align: middle;
  background: url('/images/a/c_charge_2.png') no-repeat;
  display: inline-block;
}

.soul-charge-1-icon {
  height: 15px;
  width: 44px;
  vertical-align: middle;
  background: url('/images/a/s_charge_1.png') no-repeat;
  display: inline-block;
}

.soul-charge-2-icon {
  height: 15px;
  width: 44px;
  vertical-align: middle;
  background: url('/images/a/s_charge_2.png') no-repeat;
  display: inline-block;
}

/*.power-icon {*/
/*  background-position: -60px 0px;*/
/*  width: 20px;*/
/*}*/

/*.ability-sprite {*/
  /*background: url('/images/abilities.png') no-repeat;*/
  /*display: inline-block;*/
  /*margin: 0 5px;*/
  /*!*z-index: 123123123123;*!*/
/*}*/

/*.auto {*/
  /*background-position: -112px -95px;*/
  /*width: 26px*/
/*}*/

/*.act {*/
  /*background-position: -147px -95px;*/
  /*width: 25px*/
/*}*/

/*.cont {*/
  /*background-position: -137px -119px;*/
  /*width: 27px*/
/*}*/

/*.counterblast {*/
  /*background-position: -57px -13px;*/
  /*width: 19px;*/
  /*height: 19px*/
/*}*/

/*.countercharge {*/
  /*background-position: -127px -47px;*/
  /*width: 18px;*/
  /*height: 18px*/
/*}*/

/*.soulblast {*/
  /*background-position: -78px -43px;*/
  /*width: 31px;*/
  /*height: 22px*/
/*}*/

/*.soulcharge {*/
  /*background-position: -82px -67px;*/
  /*width: 24px;*/
  /*height: 19px*/
/*}*/

/*.vanguard {*/
  /*background-position: -58px -86px;*/
  /*width: 22px;*/
  /*height: 21px*/
/*}*/

/*.rearguard {*/
  /*background-position: -160px -139px;*/
  /*width: 21px;*/
  /*height: 22px*/
/*}*/

/*.guard {*/
  /*background-position: -80px -87px;*/
  /*width: 28px;*/
  /*height: 21px*/
/*}*/

/*.rest {*/
  /*background-position: -128px -68px;*/
  /*width: 20px;*/
  /*height: 17px*/
/*}*/

/*.stand {*/
  /*background-position: -109px -6px;*/
  /*width: 18px;*/
  /*height: 19px*/
/*}*/

/*.boost {*/
  /*background-position: -84px -23px;*/
  /*width: 16px;*/
  /*height: 17px*/
/*}*/

/*.intercept {*/
  /*background-position: -179px -92px;*/
  /*width: 12px;*/
  /*height: 16px*/
/*}*/

/*.twindrive {*/
  /*background-position: -84px -3px;*/
  /*width: 15px;*/
  /*height: 16px*/
/*}*/

/*.power {*/
  /*background-position: -111px -69px;*/
  /*width: 16px;*/
  /*height: 17px*/
/*}*/

/*.shield {*/
  /*background-position: -58px -37px;*/
  /*width: 17px;*/
  /*height: 17px*/
/*}*/

/*.stride {*/
  /*background-position: -6px -113px;*/
  /*width: 42px;*/
  /*height: 19px*/
/*}*/

/*.legion {*/
  /*background-position: -6px -85px;*/
  /*width: 33px;*/
  /*height: 20px*/
/*}*/

/*.legion-20k {*/
  /*background-position: -6px -169px;*/
  /*width: 60px;*/
  /*height: 19px*/
/*}*/

/*.legion-21k {*/
  /*background-position: -6px -140px;*/
  /*width: 59px;*/
  /*height: 19px*/
/*}*/

/*.legion-22k {*/
  /*background-position: -91px -169px;*/
  /*width: 56px;*/
  /*height: 19px*/
/*}*/

/*.once-turn {*/
  /*background-position: -6px -65px;*/
  /*width: 42px;*/
  /*height: 13px*/
/*}*/

/*.limit-break {*/
  /*background-position: -151px -32px;*/
  /*width: 24px;*/
  /*height: 18px*/
/*}*/

/*.limit-break-4 {*/
  /*background-position: -99px -114px;*/
  /*width: 28px;*/
  /*height: 18px*/
/*}*/

/*.limit-break-5 {*/
  /*background-position: -62px -113px;*/
  /*width: 28px;*/
  /*height: 19px*/
/*}*/

/*.generation-break-1 {*/
  /*background-position: -1px -38px;*/
  /*width: 43px;*/
  /*height: 23px*/
/*}*/

/*.generation-break-2 {*/
  /*background-position: 0 -15px;*/
  /*width: 44px;*/
  /*height: 22px*/
/*}*/

/*.generation-break-3 {*/
  /*background-position: -138px -5px;*/
  /*width: 43px;*/
  /*height: 22px*/
/*}*/

/*.gguardian {*/
  /*background-position: -188px -6px;*/
  /*width: 81px;*/
  /*height: 21px;*/
  /*margin-bottom: 6px*/
/*}*/

/*.critical {*/
  /*background-position: -167px -112px;*/
  /*width: 21px;*/
  /*height: 23px*/
/*}*/
